View Issue Details

IDProjectCategoryView StatusLast Update
0003399Ham Radio DeluxeBugpublic2019-11-08 02:31
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0003399: Debugging MessageBox calls left behind in Licensing code
DescriptionThere are two debugging AfxMessageBox() calls left behind in the License client code. It might be that these calls are in dead code; if so, the dead code should be completely removed. Otherwise, the AfxMessageBox calls should be removed as they're confusing and meaningless to customers.


Calls exist in HRDSoracoLicenser::GetDaysremaining() and HRDSoracoLicenser::IsTrial().
Steps To ReproduceSee HRDSoracoLicenser.cpp
TagsNo tags attached.
ModuleSW License Mgmt
Sub-ModuleSW License Client
Testing N/A

Activities

K7ZCZ

2019-07-26 18:58

administrator   ~0008284

These unused functions were removed from the HRDSoracoLicenser:

    DATE GetDaysRemaining(void);
    BOOL IsTrial();
    DWORD IsValid(LONG iIdx, bool bTrial = false);


IsValid() wasn't called at all. GetDaysRemaining() and IsTrial() had unfinished implementations, were never used, and included the AfxMessageBox() calls identified in this bug.

K7ZCZ

2019-07-26 19:00

administrator   ~0008285

fixed with this checkin in the 6.6 branch:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5091

WA9PIE

2019-09-07 09:13

administrator   ~0008536

Taking the developer's account as valid.

Issue History

Date Modified Username Field Change
2019-07-21 15:11 K7ZCZ New Issue
2019-07-26 18:58 K7ZCZ Note Added: 0008284
2019-07-26 19:00 K7ZCZ Assigned To => K7ZCZ
2019-07-26 19:00 K7ZCZ Status new => resolved
2019-07-26 19:00 K7ZCZ Resolution open => fixed
2019-07-26 19:00 K7ZCZ Note Added: 0008285
2019-08-30 14:54 K7ZCZ Fixed in Version => 6.7.0.226
2019-09-07 09:13 WA9PIE Status resolved => closed
2019-09-07 09:13 WA9PIE Description Updated View Revisions
2019-09-07 09:13 WA9PIE Steps to Reproduce Updated View Revisions
2019-09-07 09:13 WA9PIE Testing Not Started => N/A
2019-09-07 09:13 WA9PIE Note Added: 0008536
2019-11-08 02:16 WA9PIE Fixed in Version 6.7.0.226 => 6.7.0.244
2019-11-08 02:31 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe